APT-CDROM(8)

NAZWA
apt-cdrom - Narzędzie APT do zarządzania źródłami typu CD-ROM

STRESZCZENIE

apt-cdrom [-rmfan] [-d=pkt_montowania_cdromu] [-o=opcja_konfiguracji] [-c=plik_konfiguracyjny] {add | ident | {-v | --version} | {-h | --help}}

OPIS

apt-cdrom jest używany w celu dodania nowego CD-ROM-u do listy dostępnych źródeł programu APT. apt-cdrom określa strukturę dysku, poprawia ewentualne błędy powstałe podczas produkcji CD-ROM-u i weryfikuje pliki indeksów.

Dodanie nowych CD do systemu APT nie może być zrobione ręcznie, tak więc używanie apt-cdrom jest konieczne. Co więcej, każdy dysk w wielodyskowym archiwum musi być włożony i zeskanowany oddzielnie.

Jedno z poniższych poleceń musi być użyte, chyba że została podana opcja -h albo --help.

add
    add jest używane do dodania nowego dysku do listy źródeł. Odmontuje urządzenie CD-ROM, poprosi o włożenie dysku, a następnie zeskanuje go i skopiuje pliki indeksu. Jeżeli dysk nie ma właściwego katalogu .disk, użytkownik zostanie poproszony o podanie opisu dysku.

    APT używa identyfikatora CD-ROM-u do określenia, który dysk obecnie znajduje się w napędzie, oraz przechowuje bazę tych identyfikatorów w pliku /var/lib/apt/cdroms.list

ident
    Narzędzie debugujące, wyświetlające identyfikator włożonego dysku oraz nazwę pliku, w którym jest przechowywany.

OPCJE

Wszystkie opcje linii poleceń mogą być ustawione w pliku konfiguracyjnym. Poniższe opisy wskazują, którą opcję w pliku konfiguracyjnym należy ustawić. W przypadku opcji logicznych, można unieważnić ustawienia pliku konfiguracyjnego, używając -f-, --no-f, -f=no albo czegoś podobnego.

--no-auto-detect, --cdrom
    Do not try to auto-detect the CD-ROM path. Usually combined with the --cdrom option. Configuration Item: Acquire::cdrom::AutoDetect.

-d, --cdrom
    Punkt montowania. Podaje lokalizację katalogu, w którym będzie zamontowany CD-ROM. Musi istnieć odpowiednia konfiguracja dla tego punktu montowania w pliku /etc/fstab. Pozycja w pliku konfiguracyjnym: Acquire::cdrom::mount.

-r, --rename
    Przemianuj dysk. Zmienia etykietę dysku lub unieważnia etykietę wcześniej daną dyskowi. Podanie tej opcji spowoduje, że apt-cdrom spyta się o nową etykietę. Pozycja w pliku konfiguracyjnym: APT::CDROM::Rename.

-m, --no-mount
    Nie montuj. Uniemożliwia programowi apt-cdrom montowanie i odmontowywanie CDROM-u. Pozycja w pliku konfiguracyjnym: APT::CDROM::NoMount.

-f, --fast
    Szybkie kopiowanie. Zakłada, że pliki z pakietami są poprawne i nie sprawdza każdego pakietu. Ta opcja powinna być używana tylko wtedy, jeżeli apt-cdrom był już uruchomiony na danym dysku i nie wykrył na nim żadnych błędów. Pozycja w pliku konfiguracyjnym: APT::CDROM::Fast.

-a, --thorough
    Gruntowne przeglądanie pakietów. Ta opcja może być potrzebna do indeksowania starych dysków z Debianem 1.1/1.2, w których pliki Package były umieszczone w dziwnych miejscach. Indeksowanie całego CD zabiera więcej czasu, ale znajdzie wszystkie takie pliki.

-n, --just-print, --recon, --no-act
    Bez zmian. Nie zmienia pliku sources.list(5) i nie zapisuje pików indeksowych. Jednakże nadal wszystko jest sprawdzane. Pozycja w pliku konfiguracyjnym: APT::CDROM::NoAct.

-h, --help
    Wyświetla krótkie informacje o użyciu.

-v, --version
    Wyświetla wersję programu.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    Plik konfiguracyjny. Podaje plik konfiguracyjny do użycia. Program najpierw przeczyta swój domyślny plik konfiguracyjny, a następnie plik podany jako argument tej opcji. Jeśli jest potrzeba ustawienia opcji konfiguracji zanim domyślny plik konfiguracyjny zostanie przetworzony, należy podać plik do użycia w zmiennej środowiskowej APT_CONFIG. Informacje o składni pliku można znaleźć w apt.conf(5).

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

ZOBACZ TAKŻE

apt.conf(5), apt-get(8), sources.list(5)

DIAGNOSTYKA

apt-cdrom zwraca zero, gdy zakończyło się pomyślnie, 100 - w przypadku błędu.

BUGS

Strona błędów APT[1]. Aby zgłosić błąd w APT, proszę przeczytać /usr/share/doc/debian/bug-reporting.txt lub opis polecenia reportbug(1).

TŁUMACZENIE

Tłumaczenie stron podręcznika: Robert Luberda <robert@debian.org>, 2000-2012. Tłumaczenie przewodnika offline: Krzysztof Fiertek <akfedux@megapolis.pl>, 2004

Proszę zauważyć, że przetłumaczony dokument może zawierać fragmenty nieprzetłumaczone. Ma to na celu uniknięcie utracenia istotnych informacji, w przypadkach gdy oryginał zostanie zaktualizowany, a tłumaczenie - nie.

AUTORZY

Jason Gunthorpe

zespół APT

PRZYPISY

1.  Strona błędów APT
    https://bugs.debian.org/src:apt